from pymongo import MongoClient
from bson import ObjectId, json_util

# 主环境 (生产环境为production，开发环境为development)
ENV = 'development'

def col(arg):
    """
    获取数据集
    """
    # 链接数据库
    conn = MongoClient('mongodb://192.168.2:27017/cherry')
    # 判断环境
    if ENV == 'development':
        arg += '_test'
    return conn.cherry[arg]

col('user_y').insert({'cid': 1, 'sid': 2})
col('group_y').insert([
    {
        'group_id': 3,
        'avatar': 4
    },
    {
        'group_id': 5,
        'avatar': 6
    }
])
col('link_y').insert([
    {
        'sid': 2,
        'group_id': 3
    },
    {
        'sid': 2,
        'group_id': 5
    }
])

print(col('user_y').find({}))
print(col('link_y').find({}))
print(col('group_y').find({}))